import type { ComponentType, PropsWithChildren } from 'react';
import React from 'react';
declare type LooseComponentType<T> = ComponentType<T> | ((props: T) => React.ReactNode);
export declare type CompProps<T> = {
    lazyComponent: () => Promise<{
        default: LooseComponentType<T>;
    }>;
} | {
    component: LooseComponentType<T>;
};
export declare type StillProps<T> = {
    width: number;
    height: number;
    id: string;
    defaultProps?: T;
} & CompProps<T>;
declare type CompositionProps<T> = StillProps<T> & {
    fps: number;
    durationInFrames: number;
};
/**
 * @description This component is used to register a video to make it renderable and make it show in the sidebar, in dev mode.
 * @see [Documentation](https://www.remotion.dev/docs/composition)
 */
export declare const Composition: <T>({ width, height, fps, durationInFrames, id, defaultProps, ...compProps }: CompositionProps<T>) => React.ReactPortal | null;
export declare const ClipComposition: React.FC<PropsWithChildren>;
export {};
